﻿<?php
/** ---------------------------------------------------------------------
 *   セッションとクッキー関数:$_COOKIEの操作の利用例
 *  2015.08.23 作成 yoshi of CXMedia Inc.
 * ---------------------------------------------------------------------- */
header("Content-type:text/plain; charset=UTF-8");

// cookie保存するデータ
$aryMine   = array();
$aryMine[] = "CXMedia";
$aryMine[] = "yoshi@bbb.ccc";
$aryMine[] = "よっちゃん";

/*------------------------------------------------------
 *     クッキーを保存する
 *   「配列データを文字列に変換」
 *------------------------------------------------------ */
// implode又はserialize関数を利用して、文字列に変換
$aryMine_str = serialize($aryMine);

// setcookie('クッキーname' [,value [,expire [,path [,domain [,secure [,httponly]]]]]]);
if (setcookie("MyInfo",$aryMine_str,(time()+180)) ){
	echo "○：クッキーのセットに成功\n";
} else {
	echo "×：クッキーのセットに失敗\n";
}
echo $aryMine_str,"\n";

/*------------------------------------------------------
 *     クッキーを取得する
 * 「cookieに保存されている文字列を配列に戻す処理」
 *------------------------------------------------------ */
if(isset($_COOKIE['MyInfo'])){
	//unserialize又はexplode関数を利用して、配列に戻す
	$ary = unserialize($_COOKIE['MyInfo']);
	print_r($ary);
} else {
	echo "×：クッキーの取得に失敗\n";
}
?>
